Skip to content
Back to top
View this page

# UserProfileAudios

class telegram.UserProfileAudios(total_count, audios, *, api_kwargs=None)

  Bases: `telegram.TelegramObject`

  This object represents the audios displayed on a user’s profile.

  Objects of this class are comparable in terms of equality. Two objects of this class are considered equal, if their `total_count` and `audios` are equal.

  Returned In

  `telegram.Bot.get_user_profile_audios()`

  Added in version 22.7.

  Parameters:

    - total_count (`int`) – Total number of profile audios for the target user.

    - audios (Sequence[`telegram.Audio`]) – Requested profile audios.

  total_count

    Total number of profile audios for the target user.

    Type:

      `int`

  audios

    Requested profile audios.

    Type:

      tuple[`telegram.Audio`]

  classmethod de_json(data, bot=None)

    See `telegram.TelegramObject.de_json()`.